X2Go Bug report logs - #222
Enable Full Access to X2Go Sessions of other users

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Mon, 27 May 2013 10:18:02 UTC

Severity: wishlist

Tags: pending

Found in version 4.0.1.0

Fixed in version 4.0.1.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#222; Package x2goclient. (Mon, 27 May 2013 10:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 27 May 2013 10:18:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: Enable Full Access to X2Go Sessions of other users
Date: Mon, 27 May 2013 12:13:43 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Severity: wishlist
Tag: patch
Version: 4.0.1.0

Hi Alex,

in the past I have had several use cases where people ask for sharing  
other users desktops. As this has been disabled in X2Go Client I  
provided that feature via PyHoca-GUI.

Today Michael Kromer asked for full access shadow sessions (needed at  
a customer's site). Another request for this feature to become enabled  
in X2Go Client.

Attached is the patch that enables this feature in X2Go Client. Do we  
implement that upstream in x2goclient.git?

If not: Michael, please feel free to add the attached patch to your  
local patch set series for your customized X2Go Client builds.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[enabe-desktop-sharing-full-access.patch (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#222; Package x2goclient. (Wed, 12 Jun 2013 14:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 12 Jun 2013 14:33:01 GMT) (full text, mbox, link).


Message #10 received at 222@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 222-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 222@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 12 Jun 2013 16:24:03 +0200 (CEST)
tag #222 pending
fixed #222 4.0.1.1
thanks

Hello,

X2Go issue #222 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=3d6450d

The issue will most likely be fixed in src:x2goclient (4.0.1.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 3d6450d24cc3596bfbb9d602bd5e5216e9c99e9d
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jun 7 18:39:50 2013 +0200

    Enable full access desktop sharing across user accounts. (Fixes: #222).
    
    Conflicts (resolved by Mike Gabriel):
    	debian/changelog

diff --git a/debian/changelog b/debian/changelog
index c0f09a9..57480e2 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -22,6 +22,7 @@ x2goclient (4.0.1.1-0~x2go1) UNRELEASED; urgency=low
     - Add cmdline option --broker-autologoff: Enforce re-authentication against
       X2Go Session Broker after a session has been suspended or terminated.
       (Fixes: #179).
+    - Enable full access desktop sharing across user accounts. (Fixes: #222).
 
   [ Ezra Bühler ]
   * New upstream version (4.0.1.1):


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 12 Jun 2013 14:33:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 12 Jun 2013 14:33:02 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#222. (Wed, 12 Jun 2013 14:33:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#222; Package x2goclient. (Fri, 19 Jul 2013 07:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Alexey Murz Korepov <murznn@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 19 Jul 2013 07:18:01 GMT) (full text, mbox, link).


Message #22 received at 222@bugs.x2go.org (full text, mbox, reply):

From: Alexey Murz Korepov <murznn@gmail.com>
To: 222@bugs.x2go.org
Subject: x2go access to other user desktop sessions
Date: Fri, 19 Jul 2013 11:09:55 +0400
I have updated to 4.0.1.1 version of x2goclient, but can't find the
way how connect to other user session.
I use "Connect to local desktop" mode, on server users foo and bar is
logged in to desktop session.

I  try to connect via x2go with user bar, and see only bar:0 session in list.

How I can connect to foo session? Maybe I need to do some changes in
x2goserver.conf?

Can you provide some examples or manual how to connect via x2go to all
local desktop sessions in server computer?

--
Best regards,
Alexey Murz Korepov.
Email, Jabber: murznn@gmail.com


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#222; Package x2goclient. (Wed, 11 Sep 2013 10:18:06 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 11 Sep 2013 10:18:06 GMT) (full text, mbox, link).


Message #27 received at 222@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 222-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 222@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Wed, 11 Sep 2013 12:07:08 +0200 (CEST)
close #222
thanks

Hello,

we are very hopeful that X2Go issue #222 reported by you
has been resolved in the new release (4.0.1.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=dad4fcc24868504be24ccc9a3ab0fcac41859080;hp=1b4260f86a6fda01c5263fa3d27504677a3cdfac

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.1.1
Status: RELEASE
Date: Wed, 11 Sep 2013 12:06:02 +0200
Fixes: 141 142 151 164 165 177 179 183 214 222 226 243 255
Changes: 
 x2goclient (4.0.1.1) RELEASED; urgency=low
 .
   [ Nicolai Hansen ]
   * New upstream version (4.0.1.1):
     - Update Danish translation file.
 .
   [ Terje Andersen ]
   * New upstream version (4.0.1.1):
     - Update Norwegian Bokmaal translation file.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.1):
     - Use "127.0.0.1" instead of localhost to avoid wrong IPv6 hostname
       resolution. (Fixes: #151).
     - Wait for x2gocmdexitmessage to return before closing in hidden mode.
     - Support for published applications in X2Go Plugin
     - Support for "shadow" mode in X2Go Plugin
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.1):
     - If a priv SSH key has been specified, skip the autologin procedure.
       Let's consider a given SSH private key that fails to log the user
       in as an overall login failure. (Fixes: #141).
     - Avoid multiple selectUserSession requests when in broker
       mode.
     - Properly set the remote server address received via selectUserSession
       method when in broker mode. (Fixes: #226).
     - Fix segmentation fault that started occurring since the custom trayIcon
       patch was applied. Segfault only occurred if the tray icon was not used.
     - Show session name in notification bubbles.
     - Update German translation.
     - Add cmdline option --broker-autologoff: Enforce re-authentication against
       X2Go Session Broker after a session has been suspended or terminated.
       (Fixes: #179).
     - Enable full access desktop sharing across user accounts. (Fixes: #222).
     - Make X2Go Client aware of the MATE desktop environment.
     - Make X2Go Client work in SSH broker mode without the need of a auth-id
       file.
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.1.1):
     - Call ssh_clean_pubkey_hash() for deallocating public key hashes instead of
       just calling free(). Required under MS Windows as documented in libssh2
       API. (Fixes: #243). (For further details see:
       http://api.libssh.org/master/group__libssh__session.html).
   * Provide bin:package with debug symbols for X2Go Client. (Fixes: #255).
 .
   [ Ezra Bühler ]
   * New upstream version (4.0.1.1):
     - Fix auto-resume when session type is »Single Application«. (Fixes: #183).
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.1):
     - Fix detection of maximum screen area available for a session. (Fixes:
       #165).
     - Use the session icon as tray icon, pop up notification bubble that informs
       about current session actions. (Fixes: #177).
     - Allow for setting maximum available desktop size as window size via the
       session profile card. Unfortunately, this feature is for now only
       available on Linux. (Fixes: #214).
 .
   [ Otto Kjell ]
   * New upstream version (4.0.1.1):
     - Enable debug mode through cmd line parameter. (Fixes: #142).
     - Standardize output to stdout+stderr and make it parseable.
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.1):
     - Instead of using a hard-code DPI of 96, use local DPI settings for new
       sessions if not explicitly set in session profile (Fixes: #164).
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.1.1):
     - Update Swedish translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.1):
     - Update Spanish translation file.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 11 Sep 2013 10:18:10 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Wed, 11 Sep 2013 10:18:10 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#222. (Wed, 11 Sep 2013 10:18:19 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 10 Oct 2013 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Sep 17 10:29:04 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.